# Search Public Warehouses The API endpoint that allows searching for public warehouses using parameters such as per_page for pagination, page for specifying the page number, and name for filtering warehouses by name or brand. Endpoint: GET /warehouses/public Version: 1.0.0 Security: bearerAuth ## Query parameters: - `per_page` (integer) Number of items per page Example: 50 - `page` (integer) Page number Example: 1 - `keyword` (string) Filter warehouses by name, brand, code, or delivery_order_address Example: "test" ## Response 200 fields (application/json): - `data` (array) - `data.id` (integer) Warehouse ID Example: 2798 - `data.name` (string) Warehouse name Example: "TEST" - `data.code` (string,null) Warehouse code - `data.brand` (string,null) Brand of the warehouses - `data.zipcode` (string) Postal/ZIP code Example: "90001" - `data.live_or_drop` (integer) Live or drop status (0: Unknown, 1: Live, 2: Drop) Enum: 0, 1, 2 - `data.address` (string) Warehouse street address Example: "TEST" - `data.delivery_order_address` (string) Full formatted delivery address Example: "TEST\nTEST\nLOS ANGELES, CA, USA 90001" - `data.city` (object) - `data.city.id` (integer) The unique identifier for the city Example: 1 - `data.city.country` (string) The country where the city is located Example: "USA" - `data.city.full_name` (string) The full name of the city, including state and country Example: "Los Angeles, CA, USA" - `data.city.name` (string) The name of the city Example: "LOS ANGELES" - `data.city.state` (string) The state where the city is located Example: "CA" - `data.city.alias` (string,null) An alias for the city - `data.city.latitude` (number) The latitude coordinate of the city Example: 33.973093 - `data.city.longitude` (number) The longitude coordinate of the city Example: -118.247896 - `links` (object) - `links.first` (string) URL of the first page Example: "https://api.drayeasy.com/api/v2/warehouses/public?page=1" - `links.last` (string) URL of the last page Example: "https://api.drayeasy.com/api/v2/warehouses/public?page=1" - `links.prev` (string,null) URL of the previous page - `links.next` (string,null) URL of the next page - `meta` (object) - `meta.current_page` (integer) Current page number Example: 1 - `meta.from` (integer) Starting record number Example: 1 - `meta.last_page` (integer) Last page number Example: 1 - `meta.path` (string) Base path for pagination Example: "https://api.drayeasy.com/api/v2/warehouses/public" - `meta.per_page` (string) Number of items per page Example: "50" - `meta.to` (integer) Ending record number Example: 9 - `meta.total` (integer) Total number of records Example: 9 ## Response 400 fields ## Response 401 fields